<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div *ngIf="appSite" class="debug-container">
  site: {{appSite}}
</div>

<div class="debug-container">
  <div *ngFor="let item of appTask | objToArray">
    {{item.key}}: {{toString(item.value)}}
  </div>
</div>

<div *ngIf="(appTask?.requiredVariables | objToArray)?.length > 0" class="debug-container">
  <button (click)="submit(false)"
          class="openk-button openk-danger">
    Complete Task
  </button>
</div>

<div class="debug-container">
  <button (click)="submit(true)"
          class="openk-button openk-success">
    Complete Task
  </button>
</div>
